/*
Theme Name: Houzez Child
Template: houzez
Version: 1.0
*/

/* --- Fondo y estructura general del Header --- */
.header-main-wrap #header-section {
    background-color: #0b2545;
    transition: all 0.3s ease;
}

/* Padding */
.header-main-wrap #header-section .container,
.header-main-wrap #header-mobile {
    padding-left: 12% !important;
    padding-right: 12% !important;
    max-width: 100% !important; 
}

/* Enlaces del menú */
.header-main-wrap .main-nav #main-nav .nav-link {
    color: #ffffff !important;
    font-weight: 500;
    font-size: 15px;
    padding: 0 15px;
}

.header-main-wrap .main-nav #main-nav .nav-link:hover,
.header-main-wrap .main-nav #main-nav .current-menu-item .nav-link {
    color: #ffc107 !important; 
}

.flex-grow-1 {
    flex-grow: none !important;
}

/* Icono de usuario/login */
.btn-icon-login-register {
    color: #ffffff !important;
    font-size: 25px;
}

/* --- Botón Hablar con un Asesor --- */
.btn-asesor {
    background-color: #ffc107 !important;
    color: #000000 !important;
    font-weight: 700 !important;
    font-size: 13px; 
    padding: 2px 18px !important;
    line-height: 2.6 !important; 
    min-height: unset !important; 
    height: auto !important;
    border-radius: 6px;
    border: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-decoration: none !important;
    box-shadow: 0 4px 10px rgba(255, 193, 7, 0.3);
    transition: all 0.3s ease-in-out;
}

.btn-asesor:hover {
    background-color: #e0a800 !important;
    color: #000000 !important;
    transform: translateY(-2px);
    box-shadow: 0 6px 14px rgba(255, 193, 7, 0.4);
}

/* --- Header Mobile --- */
.header-mobile {
    background-color: #162640 !important;
    padding: 10px 15px;
}

.header-mobile .houzez-icon {
    color: #ffffff;
    font-size: 22px;
}

.footer-wrap a {
    transition: color 0.3s ease-in-out !important;
    font-size: 15px;
}

.footer-wrap a:hover {
    color: #FFB20D !important;
    text-decoration: underline !important;
    font-size: 15px;
}

.footer-widget .wp-block-list a:hover {
    color: #FFB20D !important;
    font-size: 15px;
}

/* Pantallas grandes */
@media (min-width: 1025px) {
    .header-main-wrap #header-section .container {
        padding-left: 12% !important;
        padding-right: 12% !important;
        max-width: 100% !important;
    }

    .footer-wrap .footer-top-wrap .container,
    .footer-wrap .footer-bottom-wrap .container {
        padding-left: 12% !important;
        padding-right: 12% !important;
        max-width: 100% !important;
    }
}

/* Dispositivos móviles */
@media (max-width: 1024px) {
    .header-main-wrap #header-mobile {
        padding-left: 5% !important;
        padding-right: 5% !important;
    }

    .footer-wrap .footer-top-wrap .container,
    .footer-wrap .footer-bottom-wrap .container {
        padding-left: 15px !important;
        padding-right: 15px !important;
    }
}